<template>
  <header class="header">
    <div class="header__wrap">
      <a class="logo header__logo" href="/">lite.page</a>
      <button
        class="btn btn--toggle"
        @click="toggleMobile"
        :class="{ open: showMobile }"
      >
        <span></span>
        <span></span>
        <span></span>
      </button>
      <div class="header__navbar" :class="{ show: showMobile }">
        <ul class="navbar">
          <li><a href="#">CRM</a></li>
          <li><a href="#">Мои сайты</a></li>
          <li><a href="#">Каталог</a></li>
          <li><a href="#">Тарифы</a></li>
          <li><a href="#">Блог</a></li>
          <li><a href="#">Помощь</a></li>
        </ul>
        <div class="user">
          <a href="#" class="user__avatar">
            <img
              src="@/assets/images/avatar.png"
              alt="User Name"
              title="User Avatar"
            />
          </a>
          <div class="user-menu">
            <a href="#" class="user-menu__name">Артем Городецкий</a>
            <a href="#" class="user-menu__log-out">Выйти</a>
          </div>
        </div>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  name: "Header",
  data: () => ({
    showMobile: false
  }),
  methods: {
    toggleMobile: function() {
      this.showMobile = !this.showMobile;
      document.getElementById("app").style.overflow = this.showMobile
        ? "hidden"
        : "";
      document.getElementById("app").style.height = this.showMobile
        ? "100vh"
        : "";
    }
  }
};
</script>
